oracle.xml.parser.v2

## Class XMLDocumentFragment

- java.lang.Object
- - oracle.xml.parser.v2.XMLNode
  - - oracle.xml.parser.v2.XMLNSNode
    - - oracle.xml.parser.v2.XMLElement
      - - oracle.xml.parser.v2.XMLDocumentFragment

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, NSResolver, NSName, DocumentFragment, Element, EventTarget, Node, ElementEditVAL, NodeEditVAL

    public class XMLDocumentFragment
    extends XMLElement
    implements DocumentFragment, java.io.Externalizable

This class implements the DOM interface for DocumentFragment. It extends XMLElement rather than XMLNode so it can be handled as an element. This is convenient in processing.

See Also:
  `DocumentFragment`, `NodeFactory`, `DOMParser.setNodeFactory(oracle.xml.parser.v2.NodeFactory)`, Serialized Form

### Field Summary

### Fields inherited from class oracle.xml.parser.v2.XMLElement

`ANY_CONTENTTYPE, ELEMENTS_CONTENTTYPE, EMPTY_CONTENTTYPE, MIXED_CONTENTTYPE`

### Fields inherited from class oracle.xml.parser.v2.XMLNode

`ATTRDECL, Auto_Events, capturing, DOMAttrModified, DOMCharacterDataModified, DOMNodeInserted, DOMNodeInsertedIntoDocument, DOMNodeRemoved, DOMNodeRemovedFromDocument, DOMSubtreeModified, ELEMENTDECL, KEPT_NODE, NAMESPACE_NODE, noncapturing, RANGE_DELETE_EVENT, RANGE_DELETETEXT_EVENT, RANGE_INSERT_EVENT, RANGE_INSERTTEXT_EVENT, RANGE_REPLACE_EVENT, RANGE_SETTEXT_EVENT, TRAVERSAL_DELETE_EVENT, TRAVERSAL_REPLACE_EVENT, XMLDECL_NODE`

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Fields inherited from interface org.w3c.dom.validation.ElementEditVAL

`VAL_ANY_CONTENTTYPE, VAL_ELEMENTS_CONTENTTYPE, VAL_EMPTY_CONTENTTYPE, VAL_MIXED_CONTENTTYPE, VAL_SIMPLE_CONTENTTYPE`

### Fields inherited from interface org.w3c.dom.validation.NodeEditVAL

`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

### Constructor Summary

Constructors
Constructor and Description
`XMLDocumentFragment()` Deprecated. use createDocumentFragment() method in XMLDocuemnt

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedNodeMap` `getAttributes()` A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.
`java.lang.String` `getBaseURI()` Gets the baseURI of this fragment
`java.lang.String` `getLocalName()` Gets the local Name for this element.
`java.lang.String` `getNamespaceURI()` Gets the name space URI of this element
`Node` `getNextSibling()` Gets The node immediately following this node.
`java.lang.String` `getNodeName()` Gets a name of the node
`short` `getNodeType()` Gets a code representing the type of the underlying object
`Node` `getParentNode()` Gets the parent of this node
`Node` `getPreviousSibling()` Gets the node immediately preceding this node.
`void` `reportSAXEvents(ContentHandler cntHandler)` Report SAX Events from a DOM Tree
`void` `setBaseURI(java.lang.String baseuri)` Sets the baseURI of this fragment

### Methods inherited from class oracle.xml.parser.v2.XMLElement

`canAppendChild, canInsertBefore, canRemoveAttribute, canRemoveAttributeNode, canRemoveAttributeNS, canRemoveChild, canReplaceChild, canSetAttribute, canSetAttributeNode, canSetAttributeNS, canSetTextContent, getAllowedAttributes, getAllowedChildren, getAllowedFirstChildren, getAllowedNextSiblings, getAllowedParents, getAllowedPreviousSiblings, getAttribute, getAttributeNode, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildrenByTagName, getChildrenByTagName, getContentType, getDefaultValue, getElementsByTagName, getElementsByTagNameNS, getEnumeratedValues, getExpandedName, getFirstAttribute, getNextSiblingByName, getPrefix, getQualifiedName, getRequiredAttributes, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isElementDefined, isElementDefinedNS, nodeValidity, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, resolveNamespacePrefix, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setPrefix, validateContent, validateContent, validateContent, validateContent`

### Methods inherited from class oracle.xml.parser.v2.XMLNSNode

`addText, addText, appendChild, getChildNodes, getFirstChild, getLastChild, getText, insertBefore, removeChild, replaceChild`

### Methods inherited from class oracle.xml.parser.v2.XMLNode

`addEventListener, cloneNode, dispatchEvent, equals, getColumnNumber, getDebugMode, getFirstChildAsOffset, getLineNumber, getNextSiblingAsOffset, getNodeValue, getNodeValueAsBinaryStream, getNodeValueAsBinaryStream, getNodeValueAsCharacterStream, getNodeValueAsCharacterStream, getOwnerDocument, getPrimitiveTypeId, getProperty, getSystemId, getXMLError, hasChildNodes, hashCode, isDocumentFlag, isNodeFlag, isSupported, print, print, print, print, readExternal, removeEventListener, resetNodeFlag, selectNodes, selectNodes, selectSingleNode, selectSingleNode, setDebugInfo, setNodeFlag, setNodeFlag, setNodeFlag, setNodeValue, setNodeValueAsBinaryStream, setNodeValueAsBinaryStream, setNodeValueAsCharacterStream, setNodeValueAsCharacterStream, setProperty, transformNode, valueOf, valueOf, writeExternal, xdbGetNodeId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNodeValue, getOwnerDocument, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Methods inherited from interface oracle.xml.util.NSName

`getNamespace`

### Methods inherited from interface org.w3c.dom.validation.ElementEditVAL

`getAllowedFirstChildElements`

### Constructor Detail

#### XMLDocumentFragment

    public XMLDocumentFragment()

Deprecated. use createDocumentFragment() method in XMLDocuemnt
Creates an empty document fragment

### Method Detail

#### getBaseURI

    public java.lang.String getBaseURI()

Gets the baseURI of this fragment

Overrides:
  `getBaseURI` in class `XMLNode`
Returns:
  baseURI

#### setBaseURI

    public void setBaseURI(java.lang.String baseuri)

Sets the baseURI of this fragment

Parameters:
  `baseuri` - string

#### getNodeType

    public short getNodeType()

Gets a code representing the type of the underlying object

Specified by:
  `getNodeType` in interface `Node`
Overrides:
  `getNodeType` in class `XMLElement`
Returns:
  type of the node

#### getNodeName

    public java.lang.String getNodeName()

Gets a name of the node

Specified by:
  `getNodeName` in interface `Node`
Overrides:
  `getNodeName` in class `XMLElement`
Returns:
  name of the node

#### getNamespaceURI

    public java.lang.String getNamespaceURI()

Gets the name space URI of this element

Specified by:
  `getNamespaceURI` in interface `Node`
Overrides:
  `getNamespaceURI` in class `XMLElement`
Returns:
  the namespace URI of this element

#### getLocalName

    public java.lang.String getLocalName()

Gets the local Name for this element.

Specified by:
  `getLocalName` in interface `NSName`
Specified by:
  `getLocalName` in interface `Node`
Overrides:
  `getLocalName` in class `XMLElement`
Returns:
  the local Name

#### getParentNode

    public Node getParentNode()

Gets the parent of this node

Specified by:
  `getParentNode` in interface `Node`
Overrides:
  `getParentNode` in class `XMLNode`
Returns:
  The parent of this node (always null)

#### getPreviousSibling

    public Node getPreviousSibling()

Gets the node immediately preceding this node. If there is no such node, this returns `null`.

Specified by:
  `getPreviousSibling` in interface `Node`
Overrides:
  `getPreviousSibling` in class `XMLNode`
Returns:
  the previous node

#### getNextSibling

    public Node getNextSibling()

Gets The node immediately following this node. If there is no such node, this returns `null`.

Specified by:
  `getNextSibling` in interface `Node`
Overrides:
  `getNextSibling` in class `XMLNode`
Returns:
  the next node

#### getAttributes

    public NamedNodeMap getAttributes()

Description copied from class: `XMLElement`
A `NamedNodeMap` containing the attributes of this node (if it is an `Element`) or `null` otherwise.

Specified by:
  `getAttributes` in interface `Node`
Overrides:
  `getAttributes` in class `XMLElement`
Returns:
  The list of attributes of this element

#### reportSAXEvents

    public void reportSAXEvents(ContentHandler cntHandler)
                         throws SAXException

Report SAX Events from a DOM Tree

Overrides:
  `reportSAXEvents` in class `XMLElement`
Parameters:
  `cntHandler` - ContentHandler
Throws:
  `SAXException` - thrown by SAX Callback functions

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.